JUCE: BlocksProtocol::Packed7BitArrayReader Struct Reference

JUCE

Public Member Functions | Static Public Member Functions | List of all members
BlocksProtocol::Packed7BitArrayReader Struct Reference

This helper class reads from a block of 7-bit bytes as sequences of bits. More...

## Public Member Functions
| Packed7BitArrayReader (const void *sourceData, int numBytes) noexcept
int | getRemainingBits () const noexcept
template<typename Target >
Target | read () noexcept
uint32 | readBits (int numBits) noexcept

## Static Public Member Functions
static bool | checksumIsOK (const uint8 *data, uint32 size) noexcept

## Detailed Description

This helper class reads from a block of 7-bit bytes as sequences of bits.

See also
  Packed7BitArrayBuilder

## Constructor & Destructor Documentation

## ◆ Packed7BitArrayReader()

BlocksProtocol::Packed7BitArrayReader::Packed7BitArrayReader | ( | const void * | sourceData,
|  | int | numBytes
| ) |  |
| noexcept

## Member Function Documentation

## ◆ getRemainingBits()

int BlocksProtocol::Packed7BitArrayReader::getRemainingBits | ( |  | ) | const
| noexcept

Referenced by BlocksProtocol::HostPacketDecoder< Handler >::getMessageType(), BlocksProtocol::HostPacketDecoder< Handler >::handleButtonDownOrUp(), BlocksProtocol::HostPacketDecoder< Handler >::handleCustomMessage(), BlocksProtocol::HostPacketDecoder< Handler >::handleFirmwareUpdateACK(), BlocksProtocol::HostPacketDecoder< Handler >::handleLogMessage(), BlocksProtocol::HostPacketDecoder< Handler >::handlePacketACK(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopology(), BlocksProtocol::HostPacketDecoder< Handler >::handleTouch(), BlocksProtocol::HostPacketDecoder< Handler >::handleTouchWithVelocity(), BlocksProtocol::HostPacketDecoder< Handler >::processNextPacket(), and readBits().

## ◆ read()

template<typename Target >

Target BlocksProtocol::Packed7BitArrayReader::read | ( |  | ) |
| noexcept

References readBits().

Referenced by BlocksProtocol::HostPacketDecoder< Handler >::getMessageType(), BlocksProtocol::HostPacketDecoder< Handler >::handleButtonDownOrUp(), BlocksProtocol::HostPacketDecoder< Handler >::handleConfigMessage(), BlocksProtocol::HostPacketDecoder< Handler >::handleCustomMessage(), BlocksProtocol::HostPacketDecoder< Handler >::handleFirmwareUpdateACK(), BlocksProtocol::HostPacketDecoder< Handler >::handleLogMessage(), BlocksProtocol::HostPacketDecoder< Handler >::handlePacketACK(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopology(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopologyConnection(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopologyDevice(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopologyEnd(), BlocksProtocol::HostPacketDecoder< Handler >::handleTouch(), BlocksProtocol::HostPacketDecoder< Handler >::handleTouchWithVelocity(), and BlocksProtocol::HostPacketDecoder< Handler >::processNextPacket().

## ◆ readBits()

uint32 BlocksProtocol::Packed7BitArrayReader::readBits | ( | int | numBits | ) |
| noexcept

References getRemainingBits(), and jassert.

Referenced by BlocksProtocol::HostPacketDecoder< Handler >::handleName(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopologyConnection(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopologyDevice(), BlocksProtocol::HostPacketDecoder< Handler >::handleVersion(), and read().

## ◆ checksumIsOK()

static bool BlocksProtocol::Packed7BitArrayReader::checksumIsOK | ( | const uint8 * | data,
|  | uint32 | size
| ) |  |
| staticnoexcept

Referenced by BlocksProtocol::HostPacketDecoder< Handler >::processNextPacket().

The documentation for this struct was generated from the following file:

- juce_BitPackingUtilities.h